### Method

# FwupdPlugin FdtFirmware get_image_by_path

since: 1.8.2

#### Declaration [src]

    FuFdtImage*
    fu_fdt_firmware_get_image_by_path (
      FuFdtFirmware* self,
      const gchar* path,
      GError** error
    )

#### Description [src]

Gets the FDT image for a specific path.

Available since: 1.8.2

#### Parameters

`path`

  Type: `const gchar*`

  ID path, e.g. `/images/firmware-1`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuFdtImage`

A `FuFirmware`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.